### Function

# RB sanitize_path_for_msdos_filesystem

#### Declaration [src]

    void
    rb_sanitize_path_for_msdos_filesystem (
      char* path
    )

#### Description [src]

Modifies `path` such that it represents a legal path for MS DOS filesystems. Note that it replaces forward slash characters, so it’s only appropriate for use with individual path segments rather than entire paths.

#### Parameters

`path`

  Type: `char*`

  A path segment to sanitize (modified in place).

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.